MediaOutput (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.ajax4jsf.component.html.MediaOutput class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component.html
Class MediaOutput

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.ajax4jsf.component.UIMediaOutput
                      org.ajax4jsf.component.html.MediaOutput

All Implemented Interfaces:
  javax.faces.component.StateHolder, javax.faces.component.ValueHolder, org.ajax4jsf.resource.ResourceComponent

    public class MediaOutput

extends UIMediaOutput

Component-Type org.ajax4jsf.MediaOutput Component-Family org.ajax4jsf.Resource Renderer-Type org.ajax4jsf.MediaOutputRenderer Class for create any link-type elements to user-generated resources : images, sounds, video, active objects, applets etc. Method specified in "CreateContent" attribute will put the data from Data Bean specified in "value" attribute to the OutputStream. Important: Data Bean specified in "value" must implement Serializable.

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Constructor Summary
`MediaOutput()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getAccesskey()` This attribute assigns an access key to an element.
`java.lang.String` | `getAlign()` bottom|middle|top|left|right Deprecated.
`java.lang.String` | `getArchive()` space-separated list of URIs Getter for archive
`java.lang.String` | `getBorder()` Deprecated.
`java.lang.String` | `getCharset()` The character encoding of a resource designated by this hyperlink Getter for charset
`java.lang.String` | `getClassid()` identifies an implementation Getter for classid
`java.lang.String` | `getCodebase()` base URI for classid, data, archive Getter for codebase
`java.lang.String` | `getCodetype()` content type for code Getter for codetype
`java.lang.String` | `getCoords()` This attribute specifies the position and shape on the screen.
`javax.faces.el.MethodBinding` | `getCreateContent()` Method call expression to send generated resource to OutputStream.
`java.lang.String` | `getDeclare()` declare but don't instantiate flag Getter for declare
`java.lang.String` | `getDir()` Direction indication for text that does not inherit directionality.
`java.lang.String` | `getElement()` Name of html element for resource link - may be &lt;a&gt; &lt;img&gt; &lt;object&gt; &lt;applet&gt; &lt;script&gt; or &lt;link&gt; Getter for element
`java.util.Date` | `getExpires()` The attribute allows to manage caching and defines the period after which a resource is reloaded.
`java.lang.String` | `getFamily()`
`java.lang.String` | `getHreflang()` Base language of a resource specified with the href attribute; hreflang may only be used with href Getter for hreflang
`java.lang.String` | `getHspace()` Deprecated.
`java.lang.String` | `getLang()` Code describing the language used in the generated markup for this component Getter for lang
`java.util.Date` | `getLastModified()` The attribute allows to manage caching.
`java.lang.String` | `getMimeType()` Geterated content mime-type for append to response header ( 'image/jpeg' etc ) Getter for mimeType
`java.lang.String` | `getOnblur()` JavaScript code.
`java.lang.String` | `getOnclick()` HTML: a script expression; a pointer button is clicked Getter for onclick
`java.lang.String` | `getOndblclick()` HTML: a script expression; a pointer button is double-clicked Getter for ondblclick
`java.lang.String` | `getOnfocus()` JavaScript code.
`java.lang.String` | `getOnkeydown()` HTML: a script expression; a key is pressed down Getter for onkeydown
`java.lang.String` | `getOnkeypress()` HTML: a script expression; a key is pressed and released Getter for onkeypress
`java.lang.String` | `getOnkeyup()` HTML: a script expression; a key is released Getter for onkeyup
`java.lang.String` | `getOnmousedown()` HTML: script expression; a pointer button is pressed down Getter for onmousedown
`java.lang.String` | `getOnmousemove()` HTML: a script expression; a pointer is moved within Getter for onmousemove
`java.lang.String` | `getOnmouseout()` HTML: a script expression; a pointer is moved away Getter for onmouseout
`java.lang.String` | `getOnmouseover()` HTML: a script expression; a pointer is moved onto Getter for onmouseover
`java.lang.String` | `getOnmouseup()` HTML: script expression; a pointer button is released Getter for onmouseup
`java.lang.String` | `getRel()` The relationship from the current document to the anchor specified by this hyperlink.
`java.lang.String` | `getRev()` A reverse link from the anchor specified by this hyperlink to the current document.
`java.lang.String` | `getShape()` default|rect|circle|poly [CI] This attribute specifies the shape of a region.
`java.lang.String` | `getStandby()` message to show while loading Getter for standby
`java.lang.String` | `getStyle()` CSS style(s) is/are to be applied when this component is rendered Getter for style
`java.lang.String` | `getStyleClass()` Corresponds to the HTML class attribute Getter for styleClass
`java.lang.String` | `getTabindex()` This attribute specifies the position of the current element in the tabbing order for the current document.
`java.lang.String` | `getTarget()` This attribute specifies the name of a frame where a document is to be opened.
`java.lang.String` | `getTitle()` Advisory title information about markup elements generated for this component Getter for title
`java.lang.String` | `getType()` The content type of the resource designated by this hyperlink Getter for type
`java.lang.String` | `getUriAttribute()` Name of attribute for resource-link attribute ( 'href' for &lt;a&gt;, 'src' for &lt;img&gt; or &lt;script&gt;, etc Getter for uriAttribute
`java.lang.String` | `getUsemap()` use client-side image map Getter for usemap
`java.lang.String` | `getVspace()` Deprecated.
`boolean` | `isCacheable()` If "true", the resource is cached (on the server and the client sides).
`boolean` | `isIsmap()` use server-side image map Getter for ismap
`boolean` | `isSession()` If "true", a session for an object generation is restored.
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAccesskey(java.lang.String __accesskey)` This attribute assigns an access key to an element.
`void` | `setAlign(java.lang.String __align)` bottom|middle|top|left|right Deprecated.
`void` | `setArchive(java.lang.String __archive)` space-separated list of URIs Setter for archive
`void` | `setBorder(java.lang.String __border)` Deprecated.
`void` | `setCacheable(boolean __cacheable)` If "true", the resource is cached (on the server and the client sides).
`void` | `setCharset(java.lang.String __charset)` The character encoding of a resource designated by this hyperlink Setter for charset
`void` | `setClassid(java.lang.String __classid)` identifies an implementation Setter for classid
`void` | `setCodebase(java.lang.String __codebase)` base URI for classid, data, archive Setter for codebase
`void` | `setCodetype(java.lang.String __codetype)` content type for code Setter for codetype
`void` | `setCoords(java.lang.String __coords)` This attribute specifies the position and shape on the screen.
`void` | `setCreateContent(javax.faces.el.MethodBinding __createContent)` Method call expression to send generated resource to OutputStream.
`void` | `setDeclare(java.lang.String __declare)` declare but don't instantiate flag Setter for declare
`void` | `setDir(java.lang.String __dir)` Direction indication for text that does not inherit directionality.
`void` | `setElement(java.lang.String __element)` Name of html element for resource link - may be &lt;a&gt; &lt;img&gt; &lt;object&gt; &lt;applet&gt; &lt;script&gt; or &lt;link&gt; Setter for element
`void` | `setExpires(java.util.Date __expires)` The attribute allows to manage caching and defines the period after which a resource is reloaded.
`void` | `setHreflang(java.lang.String __hreflang)` Base language of a resource specified with the href attribute; hreflang may only be used with href Setter for hreflang
`void` | `setHspace(java.lang.String __hspace)` Deprecated.
`void` | `setIsmap(boolean __ismap)` use server-side image map Setter for ismap
`void` | `setLang(java.lang.String __lang)` Code describing the language used in the generated markup for this component Setter for lang
`void` | `setLastModified(java.util.Date __lastModified)` The attribute allows to manage caching.
`void` | `setMimeType(java.lang.String __mimeType)` Geterated content mime-type for append to response header ( 'image/jpeg' etc ) Setter for mimeType
`void` | `setOnblur(java.lang.String __onblur)` JavaScript code.
`void` | `setOnclick(java.lang.String __onclick)` HTML: a script expression; a pointer button is clicked Setter for onclick
`void` | `setOndblclick(java.lang.String __ondblclick)` HTML: a script expression; a pointer button is double-clicked Setter for ondblclick
`void` | `setOnfocus(java.lang.String __onfocus)` JavaScript code.
`void` | `setOnkeydown(java.lang.String __onkeydown)` HTML: a script expression; a key is pressed down Setter for onkeydown
`void` | `setOnkeypress(java.lang.String __onkeypress)` HTML: a script expression; a key is pressed and released Setter for onkeypress
`void` | `setOnkeyup(java.lang.String __onkeyup)` HTML: a script expression; a key is released Setter for onkeyup
`void` | `setOnmousedown(java.lang.String __onmousedown)` HTML: script expression; a pointer button is pressed down Setter for onmousedown
`void` | `setOnmousemove(java.lang.String __onmousemove)` HTML: a script expression; a pointer is moved within Setter for onmousemove
`void` | `setOnmouseout(java.lang.String __onmouseout)` HTML: a script expression; a pointer is moved away Setter for onmouseout
`void` | `setOnmouseover(java.lang.String __onmouseover)` HTML: a script expression; a pointer is moved onto Setter for onmouseover
`void` | `setOnmouseup(java.lang.String __onmouseup)` HTML: script expression; a pointer button is released Setter for onmouseup
`void` | `setRel(java.lang.String __rel)` The relationship from the current document to the anchor specified by this hyperlink.
`void` | `setRev(java.lang.String __rev)` A reverse link from the anchor specified by this hyperlink to the current document.
`void` | `setSession(boolean __session)` If "true", a session for an object generation is restored.
`void` | `setShape(java.lang.String __shape)` default|rect|circle|poly [CI] This attribute specifies the shape of a region.
`void` | `setStandby(java.lang.String __standby)` message to show while loading Setter for standby
`void` | `setStyle(java.lang.String __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
`void` | `setStyleClass(java.lang.String __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
`void` | `setTabindex(java.lang.String __tabindex)` This attribute specifies the position of the current element in the tabbing order for the current document.
`void` | `setTarget(java.lang.String __target)` This attribute specifies the name of a frame where a document is to be opened.
`void` | `setTitle(java.lang.String __title)` Advisory title information about markup elements generated for this component Setter for title
`void` | `setType(java.lang.String __type)` The content type of the resource designated by this hyperlink Setter for type
`void` | `setUriAttribute(java.lang.String __uriAttribute)` Name of attribute for resource-link attribute ( 'href' for &lt;a&gt;, 'src' for &lt;img&gt; or &lt;script&gt;, etc Setter for uriAttribute
`void` | `setUsemap(java.lang.String __usemap)` use client-side image map Setter for usemap
`void` | `setVspace(java.lang.String __vspace)` Deprecated.

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.resource.ResourceComponent
`getValue, setValue`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### MediaOutput

    public MediaOutput()

  Constructor to init default renderers

Method Detail

### setDeclare

    public void setDeclare(java.lang.String __declare)

  declare but don't instantiate flag Setter for declare

  Parameters:
    `declare` - - new value

### getDeclare

    public java.lang.String getDeclare()

  declare but don't instantiate flag Getter for declare

  Returns:
    declare value from local variable or value bindings

### setDir

    public void setDir(java.lang.String __dir)

  Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left) Setter for dir

  Parameters:
    `dir` - - new value

### getDir

    public java.lang.String getDir()

  Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left) Getter for dir

  Returns:
    dir value from local variable or value bindings

### setRev

    public void setRev(java.lang.String __rev)

  A reverse link from the anchor specified by this hyperlink to the current document. The value of this attribute is a space-separated list of link types Setter for rev

  Parameters:
    `rev` - - new value

### getRev

    public java.lang.String getRev()

  A reverse link from the anchor specified by this hyperlink to the current document. The value of this attribute is a space-separated list of link types Getter for rev

  Returns:
    rev value from local variable or value bindings

### setMimeType

    public void setMimeType(java.lang.String __mimeType)

  Geterated content mime-type for append to response header ( 'image/jpeg' etc ) Setter for mimeType

  Parameters:
    `mimeType` - - new value

### getMimeType

    public java.lang.String getMimeType()

  Geterated content mime-type for append to response header ( 'image/jpeg' etc ) Getter for mimeType

  Returns:
    mimeType value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  CSS style(s) is/are to be applied when this component is rendered Setter for style

  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  CSS style(s) is/are to be applied when this component is rendered Getter for style

  Returns:
    style value from local variable or value bindings

### setOnmouseover

    public void setOnmouseover(java.lang.String __onmouseover)

  HTML: a script expression; a pointer is moved onto Setter for onmouseover

  Parameters:
    `onmouseover` - - new value

### getOnmouseover

    public java.lang.String getOnmouseover()

  HTML: a script expression; a pointer is moved onto Getter for onmouseover

  Returns:
    onmouseover value from local variable or value bindings

### setOnkeyup

    public void setOnkeyup(java.lang.String __onkeyup)

  HTML: a script expression; a key is released Setter for onkeyup

  Parameters:
    `onkeyup` - - new value

### getOnkeyup

    public java.lang.String getOnkeyup()

  HTML: a script expression; a key is released Getter for onkeyup

  Returns:
    onkeyup value from local variable or value bindings

### setTabindex

    public void setTabindex(java.lang.String __tabindex)

  This attribute specifies the position of the current element in the tabbing order for the current document. This value must be a number between 0 and 32767. User agents should ignore leading zeros Setter for tabindex

  Parameters:
    `tabindex` - - new value

### getTabindex

    public java.lang.String getTabindex()

  This attribute specifies the position of the current element in the tabbing order for the current document. This value must be a number between 0 and 32767. User agents should ignore leading zeros Getter for tabindex

  Returns:
    tabindex value from local variable or value bindings

### setArchive

    public void setArchive(java.lang.String __archive)

  space-separated list of URIs Setter for archive

  Parameters:
    `archive` - - new value

### getArchive

    public java.lang.String getArchive()

  space-separated list of URIs Getter for archive

  Returns:
    archive value from local variable or value bindings

### setLang

    public void setLang(java.lang.String __lang)

  Code describing the language used in the generated markup for this component Setter for lang

  Parameters:
    `lang` - - new value

### getLang

    public java.lang.String getLang()

  Code describing the language used in the generated markup for this component Getter for lang

  Returns:
    lang value from local variable or value bindings

### setCreateContent

    public void setCreateContent(javax.faces.el.MethodBinding __createContent)

  Method call expression to send generated resource to OutputStream. It must have two parameter with a type of java.io.OutputStream and java.lang.Object ( deserialized value of data attribute ) Setter for createContent

  Parameters:
    `createContent` - - new value

### getCreateContent

    public javax.faces.el.MethodBinding getCreateContent()

  Method call expression to send generated resource to OutputStream. It must have two parameter with a type of java.io.OutputStream and java.lang.Object ( deserialized value of data attribute ) Getter for createContent

  Returns:
    createContent value from local variable or value bindings

### setOnmouseout

    public void setOnmouseout(java.lang.String __onmouseout)

  HTML: a script expression; a pointer is moved away Setter for onmouseout

  Parameters:
    `onmouseout` - - new value

### getOnmouseout

    public java.lang.String getOnmouseout()

  HTML: a script expression; a pointer is moved away Getter for onmouseout

  Returns:
    onmouseout value from local variable or value bindings

### setElement

    public void setElement(java.lang.String __element)

  Name of html element for resource link - may be &lt;a&gt; &lt;img&gt; &lt;object&gt; &lt;applet&gt; &lt;script&gt; or &lt;link&gt; Setter for element

  Specified by:
    `setElement` in class `UIMediaOutput`
  Parameters:
    `element` - - new value

### getElement

    public java.lang.String getElement()

  Name of html element for resource link - may be &lt;a&gt; &lt;img&gt; &lt;object&gt; &lt;applet&gt; &lt;script&gt; or &lt;link&gt; Getter for element

  Specified by:
    `getElement` in class `UIMediaOutput`
  Returns:
    element value from local variable or value bindings

### setRel

    public void setRel(java.lang.String __rel)

  The relationship from the current document to the anchor specified by this hyperlink. The value of this attribute is a space-separated list of link types Setter for rel

  Parameters:
    `rel` - - new value

### getRel

    public java.lang.String getRel()

  The relationship from the current document to the anchor specified by this hyperlink. The value of this attribute is a space-separated list of link types Getter for rel

  Returns:
    rel value from local variable or value bindings

### setOnmouseup

    public void setOnmouseup(java.lang.String __onmouseup)

  HTML: script expression; a pointer button is released Setter for onmouseup

  Parameters:
    `onmouseup` - - new value

### getOnmouseup

    public java.lang.String getOnmouseup()

  HTML: script expression; a pointer button is released Getter for onmouseup

  Returns:
    onmouseup value from local variable or value bindings

### setCacheable

    public void setCacheable(boolean __cacheable)

  If "true", the resource is cached (on the server and the client sides). Setter for cacheable

  Parameters:
    `cacheable` - - new value

### isCacheable

    public boolean isCacheable()

  If "true", the resource is cached (on the server and the client sides). Getter for cacheable

  Returns:
    cacheable value from local variable or value bindings

### setExpires

    public void setExpires(java.util.Date __expires)

  The attribute allows to manage caching and defines the period after which a resource is reloaded. Setter for expires

  Parameters:
    `expires` - - new value

### getExpires

    public java.util.Date getExpires()

  The attribute allows to manage caching and defines the period after which a resource is reloaded. Getter for expires

  Returns:
    expires value from local variable or value bindings

### setOnmousemove

    public void setOnmousemove(java.lang.String __onmousemove)

  HTML: a script expression; a pointer is moved within Setter for onmousemove

  Parameters:
    `onmousemove` - - new value

### getOnmousemove

    public java.lang.String getOnmousemove()

  HTML: a script expression; a pointer is moved within Getter for onmousemove

  Returns:
    onmousemove value from local variable or value bindings

### setCoords

    public void setCoords(java.lang.String __coords)

  This attribute specifies the position and shape on the screen. The number and order of values depends on the shape being defined. Possible combinations: rect: left-x, top-y, right-x, bottom-y. circle: center-x, center-y, radius. Note. When the radius value is percentage value, user agents should calculate the final radius value based on the associated object's width and height. The radius should be the smaller value of the two. poly: x1, y1, x2, y2, ..., xN, yN. The first x and y coordinate pair and the last should be the same to close the polygon. When these coordinate values are not the same, user agents should infer an additional coordinate pair to close the polygon. Coordinates are relative to the top, left corner of the object. All values are lengths. All values are separated by commas Setter for coords

  Parameters:
    `coords` - - new value

### getCoords

    public java.lang.String getCoords()

  This attribute specifies the position and shape on the screen. The number and order of values depends on the shape being defined. Possible combinations: rect: left-x, top-y, right-x, bottom-y. circle: center-x, center-y, radius. Note. When the radius value is percentage value, user agents should calculate the final radius value based on the associated object's width and height. The radius should be the smaller value of the two. poly: x1, y1, x2, y2, ..., xN, yN. The first x and y coordinate pair and the last should be the same to close the polygon. When these coordinate values are not the same, user agents should infer an additional coordinate pair to close the polygon. Coordinates are relative to the top, left corner of the object. All values are lengths. All values are separated by commas Getter for coords

  Returns:
    coords value from local variable or value bindings

### setTitle

    public void setTitle(java.lang.String __title)

  Advisory title information about markup elements generated for this component Setter for title

  Parameters:
    `title` - - new value

### getTitle

    public java.lang.String getTitle()

  Advisory title information about markup elements generated for this component Getter for title

  Returns:
    title value from local variable or value bindings

### setShape

    public void setShape(java.lang.String __shape)

  default|rect|circle|poly [CI] This attribute specifies the shape of a region. Possible values: default: Specifies the entire region. rect: Define a rectangular region. circle: Define a circular region. poly: Define a polygonal region. Setter for shape

  Parameters:
    `shape` - - new value

### getShape

    public java.lang.String getShape()

  default|rect|circle|poly [CI] This attribute specifies the shape of a region. Possible values: default: Specifies the entire region. rect: Define a rectangular region. circle: Define a circular region. poly: Define a polygonal region. Getter for shape

  Returns:
    shape value from local variable or value bindings

### setTarget

    public void setTarget(java.lang.String __target)

  This attribute specifies the name of a frame where a document is to be opened. By assigning a name to a frame via the name attribute, authors can refer to it as the "target" of links defined by other elements Setter for target

  Parameters:
    `target` - - new value

### getTarget

    public java.lang.String getTarget()

  This attribute specifies the name of a frame where a document is to be opened. By assigning a name to a frame via the name attribute, authors can refer to it as the "target" of links defined by other elements Getter for target

  Returns:
    target value from local variable or value bindings

### setSession

    public void setSession(boolean __session)

  If "true", a session for an object generation is restored. Setter for session

  Parameters:
    `session` - - new value

### isSession

    public boolean isSession()

  If "true", a session for an object generation is restored. Getter for session

  Returns:
    session value from local variable or value bindings

### setCharset

    public void setCharset(java.lang.String __charset)

  The character encoding of a resource designated by this hyperlink Setter for charset

  Parameters:
    `charset` - - new value

### getCharset

    public java.lang.String getCharset()

  The character encoding of a resource designated by this hyperlink Getter for charset

  Returns:
    charset value from local variable or value bindings

### setCodetype

    public void setCodetype(java.lang.String __codetype)

  content type for code Setter for codetype

  Parameters:
    `codetype` - - new value

### getCodetype

    public java.lang.String getCodetype()

  content type for code Getter for codetype

  Returns:
    codetype value from local variable or value bindings

### setClassid

    public void setClassid(java.lang.String __classid)

  identifies an implementation Setter for classid

  Parameters:
    `classid` - - new value

### getClassid

    public java.lang.String getClassid()

  identifies an implementation Getter for classid

  Returns:
    classid value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  Corresponds to the HTML class attribute Setter for styleClass

  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  Corresponds to the HTML class attribute Getter for styleClass

  Returns:
    styleClass value from local variable or value bindings

### setAccesskey

    public void setAccesskey(java.lang.String __accesskey)

  This attribute assigns an access key to an element. An access key is a single character from the document character set. Note: Authors should consider the input method of the expected reader when specifying an accesskey Setter for accesskey

  Parameters:
    `accesskey` - - new value

### getAccesskey

    public java.lang.String getAccesskey()

  This attribute assigns an access key to an element. An access key is a single character from the document character set. Note: Authors should consider the input method of the expected reader when specifying an accesskey Getter for accesskey

  Returns:
    accesskey value from local variable or value bindings

### setOnkeypress

    public void setOnkeypress(java.lang.String __onkeypress)

  HTML: a script expression; a key is pressed and released Setter for onkeypress

  Parameters:
    `onkeypress` - - new value

### getOnkeypress

    public java.lang.String getOnkeypress()

  HTML: a script expression; a key is pressed and released Getter for onkeypress

  Returns:
    onkeypress value from local variable or value bindings

### setOndblclick

    public void setOndblclick(java.lang.String __ondblclick)

  HTML: a script expression; a pointer button is double-clicked Setter for ondblclick

  Parameters:
    `ondblclick` - - new value

### getOndblclick

    public java.lang.String getOndblclick()

  HTML: a script expression; a pointer button is double-clicked Getter for ondblclick

  Returns:
    ondblclick value from local variable or value bindings

### setAlign

    public void setAlign(java.lang.String __align)

  bottom|middle|top|left|right Deprecated. This attribute specifies the position of an IMG, OBJECT, or APPLET with respect to its context. The following values for align concern the object's position with respect to surrounding text: bottom: means that the bottom of the object should be vertically aligned with the current baseline. This is the default value. middle: means that the center of the object should be vertically aligned with the current baseline. top: means that the top of the object should be vertically aligned with the top of the current text line Setter for align

  Parameters:
    `align` - - new value

### getAlign

    public java.lang.String getAlign()

  bottom|middle|top|left|right Deprecated. This attribute specifies the position of an IMG, OBJECT, or APPLET with respect to its context. The following values for align concern the object's position with respect to surrounding text: bottom: means that the bottom of the object should be vertically aligned with the current baseline. This is the default value. middle: means that the center of the object should be vertically aligned with the current baseline. top: means that the top of the object should be vertically aligned with the top of the current text line Getter for align

  Returns:
    align value from local variable or value bindings

### setVspace

    public void setVspace(java.lang.String __vspace)

  Deprecated. This attribute specifies the amount of white space to be inserted above and below an IMG, APPLET, or OBJECT. The default value is not specified, but is generally a small, non-zero length Setter for vspace

  Parameters:
    `vspace` - - new value

### getVspace

    public java.lang.String getVspace()

  Deprecated. This attribute specifies the amount of white space to be inserted above and below an IMG, APPLET, or OBJECT. The default value is not specified, but is generally a small, non-zero length Getter for vspace

  Returns:
    vspace value from local variable or value bindings

### setLastModified

    public void setLastModified(java.util.Date __lastModified)

  The attribute allows to manage caching. A browser can send request with the header "If-Modified-Since" for necessity of object reloading. If time of modification is earlier, then the framework doesn't call generation and return code 304. Setter for lastModified

  Parameters:
    `lastModified` - - new value

### getLastModified

    public java.util.Date getLastModified()

  The attribute allows to manage caching. A browser can send request with the header "If-Modified-Since" for necessity of object reloading. If time of modification is earlier, then the framework doesn't call generation and return code 304. Getter for lastModified

  Returns:
    lastModified value from local variable or value bindings

### setUsemap

    public void setUsemap(java.lang.String __usemap)

  use client-side image map Setter for usemap

  Parameters:
    `usemap` - - new value

### getUsemap

    public java.lang.String getUsemap()

  use client-side image map Getter for usemap

  Returns:
    usemap value from local variable or value bindings

### setStandby

    public void setStandby(java.lang.String __standby)

  message to show while loading Setter for standby

  Parameters:
    `standby` - - new value

### getStandby

    public java.lang.String getStandby()

  message to show while loading Getter for standby

  Returns:
    standby value from local variable or value bindings

### setBorder

    public void setBorder(java.lang.String __border)

  Deprecated. This attribute specifies the width of an IMG or OBJECT border, in pixels. The default value for this attribute depends on the user agent Setter for border

  Parameters:
    `border` - - new value

### getBorder

    public java.lang.String getBorder()

  Deprecated. This attribute specifies the width of an IMG or OBJECT border, in pixels. The default value for this attribute depends on the user agent Getter for border

  Returns:
    border value from local variable or value bindings

### setOnblur

    public void setOnblur(java.lang.String __onblur)

  JavaScript code. The onblur event occurs when an element loses focus either by the pointing device or by tabbing navigation. It may be used with the same elements as onfocus Setter for onblur

  Parameters:
    `onblur` - - new value

### getOnblur

    public java.lang.String getOnblur()

  JavaScript code. The onblur event occurs when an element loses focus either by the pointing device or by tabbing navigation. It may be used with the same elements as onfocus Getter for onblur

  Returns:
    onblur value from local variable or value bindings

### setHreflang

    public void setHreflang(java.lang.String __hreflang)

  Base language of a resource specified with the href attribute; hreflang may only be used with href Setter for hreflang

  Parameters:
    `hreflang` - - new value

### getHreflang

    public java.lang.String getHreflang()

  Base language of a resource specified with the href attribute; hreflang may only be used with href Getter for hreflang

  Returns:
    hreflang value from local variable or value bindings

### setCodebase

    public void setCodebase(java.lang.String __codebase)

  base URI for classid, data, archive Setter for codebase

  Parameters:
    `codebase` - - new value

### getCodebase

    public java.lang.String getCodebase()

  base URI for classid, data, archive Getter for codebase

  Returns:
    codebase value from local variable or value bindings

### setType

    public void setType(java.lang.String __type)

  The content type of the resource designated by this hyperlink Setter for type

  Parameters:
    `type` - - new value

### getType

    public java.lang.String getType()

  The content type of the resource designated by this hyperlink Getter for type

  Returns:
    type value from local variable or value bindings

### setUriAttribute

    public void setUriAttribute(java.lang.String __uriAttribute)

  Name of attribute for resource-link attribute ( 'href' for &lt;a&gt;, 'src' for &lt;img&gt; or &lt;script&gt;, etc Setter for uriAttribute

  Specified by:
    `setUriAttribute` in class `UIMediaOutput`
  Parameters:
    `uriAttribute` - - new value

### getUriAttribute

    public java.lang.String getUriAttribute()

  Name of attribute for resource-link attribute ( 'href' for &lt;a&gt;, 'src' for &lt;img&gt; or &lt;script&gt;, etc Getter for uriAttribute

  Specified by:
    `getUriAttribute` in class `UIMediaOutput`
  Returns:
    uriAttribute value from local variable or value bindings

### setOnclick

    public void setOnclick(java.lang.String __onclick)

  HTML: a script expression; a pointer button is clicked Setter for onclick

  Parameters:
    `onclick` - - new value

### getOnclick

    public java.lang.String getOnclick()

  HTML: a script expression; a pointer button is clicked Getter for onclick

  Returns:
    onclick value from local variable or value bindings

### setIsmap

    public void setIsmap(boolean __ismap)

  use server-side image map Setter for ismap

  Parameters:
    `ismap` - - new value

### isIsmap

    public boolean isIsmap()

  use server-side image map Getter for ismap

  Returns:
    ismap value from local variable or value bindings

### setOnkeydown

    public void setOnkeydown(java.lang.String __onkeydown)

  HTML: a script expression; a key is pressed down Setter for onkeydown

  Parameters:
    `onkeydown` - - new value

### getOnkeydown

    public java.lang.String getOnkeydown()

  HTML: a script expression; a key is pressed down Getter for onkeydown

  Returns:
    onkeydown value from local variable or value bindings

### setOnmousedown

    public void setOnmousedown(java.lang.String __onmousedown)

  HTML: script expression; a pointer button is pressed down Setter for onmousedown

  Parameters:
    `onmousedown` - - new value

### getOnmousedown

    public java.lang.String getOnmousedown()

  HTML: script expression; a pointer button is pressed down Getter for onmousedown

  Returns:
    onmousedown value from local variable or value bindings

### setHspace

    public void setHspace(java.lang.String __hspace)

  Deprecated. This attribute specifies the amount of white space to be inserted to the left and right of an IMG, APPLET, or OBJECT. The default value is not specified, but is generally a small, non-zero length Setter for hspace

  Parameters:
    `hspace` - - new value

### getHspace

    public java.lang.String getHspace()

  Deprecated. This attribute specifies the amount of white space to be inserted to the left and right of an IMG, APPLET, or OBJECT. The default value is not specified, but is generally a small, non-zero length Getter for hspace

  Returns:
    hspace value from local variable or value bindings

### setOnfocus

    public void setOnfocus(java.lang.String __onfocus)

  JavaScript code. The onfocus event occurs when an element gets focus Setter for onfocus

  Parameters:
    `onfocus` - - new value

### getOnfocus

    public java.lang.String getOnfocus()

  JavaScript code. The onfocus event occurs when an element gets focus Getter for onfocus

  Returns:
    onfocus value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIOutput`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIOutput`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIOutput`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.